Subject: Re: linux-next: Tree for July 18 (very early crash on x86_32)

From: Bartlomiej Zolnierkiewicz <[email-masked]>
Date: Sat, 19 Jul 2008 17:31:07 +0200

Hi,

Since around next-20080709 linux-next has been crashing very early in
the boot on my x86_32 laptop (the problem is also reproducible under
qemu, config & screenshot attached).  Now that merging has paused for
a moment I took a closer look into the issue.

First I bisected it down to commit 99c2fcc5306153c8ae56542b3e80dddaf77baa45
("Merge branch 'quilt/driver-core'") and then with a little patchwork I
identified the source as a commit 0e3638d1e04040121af00195f7e4628078246489
("warn when statically-allocated kobjects are used").

With commit 0e3638d1e04040121af00195f7e4628078246489 reverted and fixup
from Al for vfs-next/net-next conflict (http://lkml.org/lkml/2008/7/18/591)
next-20080718 works fine for me.

BTW ide tree's conflicts against Linus' tree should be fixed now.

Thanks,
Bart